aboutsummaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorAnders Roxell <anders.roxell@linaro.org>2018-11-15 22:46:27 +0100
committerGuillaume Tucker <guillaume.tucker@collabora.com>2019-04-26 08:13:10 +0100
commit29f78a37933e9bba21e6c7306b2cb867dc09c77e (patch)
treee12d674e2cfb7a3cd449e9ca3c86b13e9b17ac2b /jenkins
parentff0b9da865ed465a3121658e9150ffe708a63b8b (diff)
jenkins: add new test rootfs with LTP
This new rootfs contains LTP (Linux Test Project) suite from https://github.com/linux-test-project/ltp Signed-off-by: Anders Roxell <anders.roxell@linaro.org>
Diffstat (limited to 'jenkins')
-rwxr-xr-xjenkins/debian/debos/scripts/stretch-ltp.sh64
-rw-r--r--jenkins/stretch-ltp.jpl14
2 files changed, 78 insertions, 0 deletions
diff --git a/jenkins/debian/debos/scripts/stretch-ltp.sh b/jenkins/debian/debos/scripts/stretch-ltp.sh
new file mode 100755
index 0000000..408176f
--- /dev/null
+++ b/jenkins/debian/debos/scripts/stretch-ltp.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+# Important: This script is run under QEMU
+
+set -e
+
+# Build-depends needed to build the test suites, they'll be removed later
+BUILD_DEPS="
+ acl \
+ acl-dev \
+ attr \
+ autoconf \
+ automake \
+ ca-certificates \
+ gawk \
+ git \
+ gcc \
+ libaio1 \
+ libc6-dev \
+ libcap2 \
+ make \
+ openssl \
+ zip \
+"
+
+apt-get install --no-install-recommends -y ${BUILD_DEPS}
+
+BUILDFILE=/build_info.txt
+echo ' "tests_suites": [' >> $BUILDFILE
+
+# Build and install IO performance suites
+########################################################################
+TMP_TEST_DIR="/tmp/tests/clone"
+mkdir -p ${TMP_TEST_DIR} && cd ${TMP_TEST_DIR}
+
+TESTDIR=ltp
+TEST_REPO=https://github.com/linux-test-project/ltp.git
+
+git clone --depth=1 -b 20190115 ${TEST_REPO}
+cd ${TESTDIR}
+
+echo ' {"name": "${TESTDIR}", "git_url": "${TEST_REPO}", "git_commit": ' \"`git rev-parse HEAD`\" '}' >> $BUILDFILE
+
+make autotools
+./configure --prefix=/opt/ltp
+make V=1
+make V=1 install
+
+find /opt/ltp/ -executable -type f -exec strip {} \;
+
+echo ' ]' >> $BUILDFILE
+
+########################################################################
+# Cleanup: remove files and packages we don't want in the images #
+########################################################################
+rm -rf ${TMP_TEST_DIR}
+
+apt-get remove --purge -y ${BUILD_DEPS}
+apt-get autoremove --purge -y
+apt-get clean
+
+# re-add some stuff that is removed by accident
+apt-get install -y initramfs-tools
+
diff --git a/jenkins/stretch-ltp.jpl b/jenkins/stretch-ltp.jpl
new file mode 100644
index 0000000..2f6637b
--- /dev/null
+++ b/jenkins/stretch-ltp.jpl
@@ -0,0 +1,14 @@
+@Library('kernelci') _
+import org.kernelci.debian.RootFS
+
+def r = new RootFS()
+
+def config = ['name':"stretch-ltp",
+ 'vm_memory':"3G",
+ 'arch_list':["armhf", "arm64", "i386", "amd64"],
+ 'debian_release':"stretch",
+ 'extra_packages':"acl attr cpio cron curl expect file gawk gzip iproute2 libaio1 libc-bin logrotate net-tools perl procps python-all quota systemd tar unzip util-linux ",
+ 'script':"scripts/stretch-ltp.sh",
+ ]
+
+r.buildImage(config)